Packages - Bug #2181

linux-libre missing amdgpu radeon modules
2019-02-18 08:47 AM - nona

Status: fixed % Done: 0%
Priority: bug

Assignee: Megver83

Category:

Description

| can boot with linux-libre and get to the login prompt (no display manager here). When | run exec startx, | get no image. It seems that
linux-libre 4.20.10-gnu-1 comes without amdgpu and radeon modules:

# mkinitcpio -p linux-libre
==> ERROR: module not found: "amdgpu'

==> ERROR: module not found: "radeon'

Let me know what other information is needed. Kernel 4.9.127-gnu-1-Its-xtreme works fine. | think that the last one that worked well
for me was linux-libre 4.20.6-gnu-1.

Thanks!

History

#1 - 2019-02-18 01:25 PM - freemor

X should start even without accel modules.
What you describe sounds like:

there is nothing in your .xinitrc file

or

You do not have xorg, xorg-drivers, or both installed. You'll probably want to be sure xterm is installed as a lot of things default to that too.

#2 - 2019-02-18 01:27 PM - freemor

If X tries to start but fails then please attach your Xorg.0.log here

#3 - 2019-02-18 08:05 PM - nona

| am using a graphical environment with linux-libre-Its-xtreme right now with the same computer, which indicates that my .xinitrc, xorg and xorg-drivers
are there. | also have this:

pacman -Qs xorg-drivers
local/xf86-input-libinput 0.28.2-1 (xorg-drivers)
Generic input driver for the X.Org server based on libinput
local/xf86-input-synaptics 1.9.1-1 (xorg-drivers)
Synaptics driver for notebook touchpads
local/xf86-video-amdgpu 18.1.0-1 (xorg-drivers)
X.org amdgpu video driver
local/xf86-video—-intel 1:2.99.917+859+g33ee0c3b-1 (xorg-drivers)
X.org Intel i810/i1830/1915/945G/G965+ video drivers
local/xf86-video-vesa 2.4.0-2 (xorg-drivers xorg)
X.org vesa video driver

| can also run xterm

#4 - 2019-02-18 08:06 PM - nona
- File Xorg.0.logbug added

freemor wrote:

If X tries to start but fails then please attach your Xorg.0.log here
#5 - 2019-02-18 11:49 PM - bill-auger

- Assignee set to Megver83

- Status changed from unconfirmed to confirmed
causes ISO builds to fail in the mkinitcpio phase

[mkparabolaiso] INFO: Configuration settings

[mkparabolaiso] INFO: Command: run

[mkparabolaiso] INFO: Architecture: x86_64

[mkparabolaiso] INFO: Working directory: ./work/x86_64

[mkparabolaiso] INFO: Installation directory: parabola

[mkparabolaiso] INFO: Run command: mkinitcpio —-c /etc/mkinitcpio-parabolaiso.conf -k /boot/vml
inuz-linux-libre -g /boot/parabolaiso.img

[mkparabolaiso] INFO: Offline install: false

==> Starting build: 4.20.10-gnu-1
-> Running build hook: [base]
—> Running build hook: [udev]
—> Running build hook: [memdisk]
-> Running build hook: [parabolaiso_shutdown]
—> Running build hook: [parabolaiso]
—> Running build hook: [parabolaiso_loop_mnt]
-> Running build hook: [parabolaiso_pxe_common]
—> Running build hook: [parabolaiso_pxe_nbd]
—> Running build hook: [parabolaiso_pxe_http]
-> Running build hook: [parabolaiso_pxe_nfs]
—> Running build hook: [parabolaiso_kms]

==> ERROR: module not found: "“radeon'
-> Running build hook: [block]
—> Running build hook: [filesystems]
—-> Running build hook: [keyboard]

==> Generating module dependencies

#6 - 2019-02-19 01:20 AM - freemor
Nona thanks for posting the Xorg.logs those show that X does indeed start in Vesa mode As | thought it should. Not sure why you aren't seeeing an
image. Perhaps it's choosing the wrong sync rate.

That aside for the moment My system has both radeon and amdgpu modules available and | can modprobe both sucessfully.
Can you manually modprobe the modules you need into place and then startx?

I'll try poking at mkinitcpio and see why it can't find modules that modprobe finds no problem.

#7 - 2019-02-19 01:34 AM - freemor

| was able to add both modules to /etc/mkinitcpio.conf
rebuild the initcpio with mkinitcpio -p linux-libre
and then rebooting the VM pulls them both in fine.

nona, if you are comfortable doing so can you please try these steps. after first ensuring that you can namually modprobe them.

#8 - 2019-02-19 01:47 AM - freemor

Spoke too soon..

Seems my VM. And main machine are not as up-to-date as | thought

When | tried to bring the VM current (1 kernel behind) it Threw the Radeon/amdgpu errors
This seems to be a very recently introduced glitch

#9 - 2019-02-19 02:43 AM - nona
freemor wrote:
Spoke too soon..
Seems my VM. And main machine are not as up-to-date as | thought

When | tried to bring the VM current (1 kernel behind) it Threw the Radeon/amdgpu errors
This seems to be a very recently introduced glitch

| tried what you asked, nonetheless. It is not possible to load the modules. If you look at the contents of the package,
usr/lib/modules/4.20.10-gnu-1/kernel/drivers/gpu/drm/amd is missing. This exists in the 4.20.6-gnu-1 version.
| am downgrading for the moment (hope that it does not break anything).
#10 - 2019-02-19 04:28 AM - Megver83
amdgpu and radeon is enabled in linux-libre-Its and linux-libre-rt.

Anyways, these modules seemed useless
https://lists.gnu.org/archive/html/info-gnu/2015-08/msg00010.html

The greatest new offender is amdgpu that, like radeon, refuses to work
at all without blobs, even though in theory it could offer degraded
functionality.

Now, if you probe them to be useful for something, | can enable amdgpu and radeon for all kernels.

When | run exec startx, | get no image.

hmmm, do you have xf86-video-amdgpu enabled?
freemor wrote:
Spoke too soon..
Seems my VM. And main machine are not as up-to-date as | thought
When | tried to bring the VM current (1 kernel behind) it Threw the Radeon/amdgpu errors
This seems to be a very recently introduced glitch

Could you attach the dmesg log then? and also, please give me more details about how it affected you.

P.S.: linux-libre-lts-xtreme is deprecated, btw
https://git.parabola.nu/abslibre.git/commit/?id=b7655233437453509659e40fcf319dcff8936085

#11 - 2019-02-19 05:33 AM - nona

Megver83 wrote:

amdgpu and radeon is enabled in linux-libre-Its and linux-libre-rt.

Ok

Anyways, these modules seemed useless
https://lists.gnu.org/archive/html/info-gnu/2015-08/msg00010.html

The greatest new offender is amdgpu that, like radeon, refuses to work
at all without blobs, even though in theory it could offer degraded
functionality.

What trickery!

Now, if you probe them to be useful for something, | can enable amdgpu and radeon for all kernels.

Good point. | can't even use the f*king HDMI. | just hope that nothing breaks.

hmmm, do you have xf86-video-amdgpu enabled?
| had it installed, and amdgpu shows up in Ismod. Is that what you mean? | am going to test linux-libre-lts (without MODULES=(amdgpu radeon) in
mkinitcpio.conf)

P.S.: linux-libre-lts-xtreme is deprecated, btw
https://git.parabola.nu/abslibre.git/commit/?id=b7655233437453509659e40fcf319dcff8936085

Mmm... ok

Anybody wants to buy a laptop? ;)

#12 - 2019-02-19 05:57 AM - nona
nona wrote:
Megver83 wrote:

P.S.: linux-libre-lts-xtreme is deprecated, btw
https://git.parabola.nu/abslibre.git/commit/?id=b7655233437453509659e40fcf319dcff8936085

1. Remove amdgpu and radeon from MODULES in mkinitcpio.conf

2. pacman -S linux-libre-lts

3. grub-mkconfig -o /boot/grub/grub.cfg (keep amd_iommu=on in kernel line; within /etc/default/grub)
4. Restart

Diagnosis:
1. Grub menu shows up
2. Kernel boots
3.1 get a prompt for the crypt password
4. half-way in the booting process it would seem like a hang happens (showing OpenRC start up),

5. Wait a bit and | can later input my user and password (without knowing what is going on)
6.then | see my graphic session.

The half-way is actually an improvement from linux-libre, which only gives me a blank screen. However, linux-libre-lts-xtreme does not have that
glitch. Also, recoll (and whatever is linked to libQt5Core.s0.5) works, which did not work in -lts-xtreme.

Thus: | can live without AMDGPU in the kernel. One less blob, | guess. Thank you!
I will now mkinitcpio -p linux-libre to see if | still have issues with that. I'll report later.
#13 - 2019-02-19 06:09 AM - nona
nona wrote:

nona wrote:

I will now mkinitcpio -p linux-libre to see if | still have issues with that. I'll report later.

You can mark this as solved! Thanks again :)

#14 - 2019-02-19 02:39 PM - bill-auger
megver -

for parabolaiso, i deleted 'add_module "radeon™ from the KMS modules install hook! - that allowed the build to complete
is that the proper solution going forward?

[1]: https://git.parabola.nu/parabolaiso.git/commit/?h=refactor&id=ee739e4a0b7c3620f0d450b567d646c4c714b910

#15 - 2019-02-19 05:11 PM - Megver83
- Status changed from confirmed to fixed
nona wrote:
nona wrote:
nona wrote:
I will now mkinitcpio -p linux-libre to see if | still have issues with that. I'll report later.
You can mark this as solved! Thanks again :)
Right, remember that if you've any other Parabola kernels specific problem you can report it here or in the mailing list, and any linux-libre specific
issue will be better to write to linux-libre's mailing list
bill-auger wrote:
megver -
for parabolaiso, i deleted 'add_module "radeon™ from the KMS modules install hook” - that allowed the build to complete

is that the proper solution going forward?
[1]: https://git.parabola.nu/parabolaiso.git/commit/?h=refactor&id=ee739e4a0b7c3620f0d4500567d646c4c714b910

We've to track this, if no one reports anything, then we should not give it importance. Anyways, as | said before, our Its kernels (linux-libre-Its and
linux-libre-rt) have amdgpu and radeon enabled just in case (only for this last 4.19 generation, in the next one I'll remove it if no one reports similar
issues to this)

#16 - 2019-02-19 05:14 PM - oaken-source

Megver, are you sure that removing amdgpu and radeon entirely is a good way forward? from what | quickly skimmed here?, there seems to be at
least some cards that are supported.

[1] - https://www.fsfla.org/ikiwiki/selibre/linux-1ibre

#17 - 2019-02-19 08:31 PM - Megver83

oaken-source wrote:

Megver, are you sure that removing amdgpu and radeon entirely is a good way forward? from what | quickly skimmed here’, there seems to be
at least some cards that are supported.

[1] - https://www.fsfla.org/ikiwiki/selibre/linux-libre/

As we discussed in IRC, I'll re-enable them for the next releases

Files

Xorg.0.logbug 67.8 KB 2019-02-18 nona
